com.sun.jna.platform.win32

## Class Ddeml.CONVINFO

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.Ddeml.CONVINFO

Enclosing interface:
  Ddeml

    @Structure.FieldOrder(value={"cb","hUser","hConvPartner","hszSvcPartner","hszServiceReq","hszTopic","hszItem","wFmt","wType","wStatus","wConvst","wLastError","hConvList","ConvCtxt","hwnd","hwndPartner"})
    public static class Ddeml.CONVINFO
    extends Structure

Contains information about a Dynamic Data Exchange (DDE) conversation.

See Also:
  `Ddeml.DdeQueryConvInfo(HCONV hConv, int idTransaction, CONVINFO pConvInfo)`

### Nested Class Summary

### Nested classes/interfaces inherited from class com.sun.jna.Structure

`Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

### Field Summary

Fields
`int` `cb` The structure's size, in bytes.
`Ddeml.CONVCONTEXT` `ConvCtxt` Conversation context
`Ddeml.HCONVLIST` `hConvList` Parent hConvList if this conversation is in a list
`Ddeml.HCONV` `hConvPartner` hConv on other end or 0 if non-ddemgr partner
`Ddeml.HSZ` `hszItem` Transaction item name or NULL if quiescent
`Ddeml.HSZ` `hszServiceReq` AppName requested for connection
`Ddeml.HSZ` `hszSvcPartner` App name of partner if obtainable
`Ddeml.HSZ` `hszTopic` Topic name for conversation
`BaseTSD.DWORD_PTR` `hUser` User specified field
`WinDef.HWND` `hwnd` Window handle for this conversation
`WinDef.HWND` `hwndPartner` Partner window handle for this conversation
`int` `wConvst` XST_ constant for current transaction
`int` `wFmt` Transaction format or NULL if quiescent
`int` `wLastError` Last transaction error.
`int` `wStatus` ST_ constant for current conversation
`int` `wType` XTYP_ for current transaction

### Fields inherited from class com.sun.jna.Structure

`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

### Constructor Summary

Constructors
Constructor and Description
`CONVINFO()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `write()` Writes the fields of the struct to native memory

### Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, writeField, writeField, writeField`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### cb

    public int cb

The structure's size, in bytes.

#### hUser

    public BaseTSD.DWORD_PTR hUser

User specified field

#### hConvPartner

    public Ddeml.HCONV hConvPartner

hConv on other end or 0 if non-ddemgr partner

#### hszSvcPartner

    public Ddeml.HSZ hszSvcPartner

App name of partner if obtainable

#### hszServiceReq

    public Ddeml.HSZ hszServiceReq

AppName requested for connection

#### hszTopic

    public Ddeml.HSZ hszTopic

Topic name for conversation

#### hszItem

    public Ddeml.HSZ hszItem

Transaction item name or NULL if quiescent

#### wFmt

    public int wFmt

Transaction format or NULL if quiescent

#### wType

    public int wType

XTYP_ for current transaction

#### wStatus

    public int wStatus

ST_ constant for current conversation

#### wConvst

    public int wConvst

XST_ constant for current transaction

#### wLastError

    public int wLastError

Last transaction error.

#### hConvList

    public Ddeml.HCONVLIST hConvList

Parent hConvList if this conversation is in a list

#### ConvCtxt

    public Ddeml.CONVCONTEXT ConvCtxt

Conversation context

#### hwnd

    public WinDef.HWND hwnd

Window handle for this conversation

#### hwndPartner

    public WinDef.HWND hwndPartner

Partner window handle for this conversation

### Constructor Detail

#### CONVINFO

    public CONVINFO()

### Method Detail

#### write

    public void write()

Description copied from class: `Structure`
Writes the fields of the struct to native memory

Overrides:
  `write` in class `Structure`

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.